| Face Engine SDK 5.35.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IEyeBrowEstimator Struct Referenceabstract
Estimators

EyeBrow estimator interface. More...

`#include <IEyeBrowEstimator.h>`

Inheritance diagram for fsdk::IEyeBrowEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, EyeBrowEstimation &estimation) const noexcept=0
| Estimate EyeBrowEstimation probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< EyeBrowEstimation > estimations) const noexcept=0
| Estimate EyeBrowEstimation probabilities of multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

EyeBrow estimator interface.

Note
  This estimator is designed to estimate the eyebrow state.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::IEyeBrowEstimator::estimate | ( | const Image & | warp,
|  | EyeBrowEstimation & | estimation
| ) |  | const
| pure virtualnoexcept

Estimate EyeBrowEstimation probabilities.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  EyeBrowEstimation, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IEyeBrowEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< EyeBrowEstimation > | estimations
| ) |  | const
| pure virtualnoexcept

Estimate EyeBrowEstimation probabilities of multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | estimations | output EyeBrowEstimation span.

Returns
  Result with error code.

See also
  Span, EyeBrowEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IEyeBrowEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtualnoexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IEyeBrowEstimator.h